VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "col_Controls"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

'###################################################################
'#     VB@RCHIV - Das groe Visual-Basic Archiv
'###################################################################
'#
'#     Datei: col_Control.cls     Autor: Wolfgang Christ
'#     Stand: 30.04.2003          Erstanlage: 29.04.2003
'#
'###################################################################
'#
'#     Version : V1.0.3 * (c) Wolfgang Christ
'#
'###################################################################
'#
'#     Resize ActiveX DLL
'#     Class col_Controls
'#
'###################################################################
'#
'#     Hier werden in einer Collection alle Elemente der Klasse
'#     Controls gepeichert

' vb@rchiv - Das groe Visual-Basic Archiv
' Tools & Components - Entwicklerkomponenten fr VB-32 Bit
'
' Copyright 2003 Wolfgang Christ, Dieter Otter
'
' Der Programmcode darf fr eigene Zwecke verwendet werden.
' Es ist nicht erlaubt Inhalte des Projektes ohne unsere
' Zustimmung zum Download anzubieten.
'
' Die Beispielskripte sind Computerprogramme, die gem
' des 2 Abs. 1 Nr. 69 aff. UrhG den urheberrechtlichen
' Schutz geniessen und drfen nicht fr eigene ausgegeben
' werden.
'
' Dieter Otter
' Software-Entwicklung & Vertrieb
' info@vbarchiv.de
' http://www.vbarchiv.de
' http://www.visualbasic-archiv.de
'
' info@tools4vb.de
' http://www.tools4vb.de
'======================================================

Option Explicit
Private mCol As Collection

'Funktion zum Hinzufgen eines neuen Elementes der Collection
'Funktion liefert Index der Collection zurck
'alles nur nicht Line, da anders definiert
Public Function Add(ByVal lTop As Long, _
                    ByVal lLeft As Long, _
                    ByVal lWidth As Long, _
                    ByVal lHeight As Long, _
                    ByVal sName As String, _
                    ByVal iFontSize As Single) As clsControl

   On Local Error GoTo 0
   Dim objNewMember As clsControl
   Set objNewMember = New clsControl
   
   'Eigenschaften zuweisen
   With objNewMember
     .Top = lTop
     .Left = lLeft
     .Height = lHeight
     .Width = lWidth
     .Tag = mCol.Count + 1
     .Name = sName
     .Fontsize = iFontSize
   End With
   
   'Objekt der Collection zuweisen
   mCol.Add objNewMember, sName
   
   'Objekt zurckgeben
   Set Add = objNewMember
   
   'neues Objekt zerstren
   Set objNewMember = Nothing
End Function

'Funktion zum Hinzufgen eines neuen Elementes der Collection
'Funktion liefert Index der Collection zurck
'hier speziell Line, da anders definiert
Public Function AddLine(ByVal lX1 As Long, _
                        ByVal lX2 As Long, _
                        ByVal lY1 As Long, _
                        ByVal lY2 As Long, _
                        sName As String) As clsControl

   On Local Error GoTo 0
   Dim objNewMember As clsControl
   Set objNewMember = New clsControl
   
   'Eigenschaften zuweisen
   With objNewMember
     .X1 = lX1
     .X2 = lX2
     .Y1 = lY1
     .Y2 = lY2
     .ResizeOption = 0
     .Tag = mCol.Count + 1
     .Name = sName
   End With
   
   'Objekt der Collection zuweisen
   mCol.Add objNewMember, sName
   
   'Objekt zurckgeben
   Set AddLine = objNewMember
   
   'neues Objekt zerstren
   Set objNewMember = Nothing
   
End Function

'Objekt der Collection zurckgeben
Public Property Get Item(ByVal ItemName As String) As clsControl
   On Error Resume Next
   Set Item = mCol(ItemName)
End Property

'Anzahl der Objekte durchreichen
Public Property Get Count() As Long
    Count = mCol.Count
End Property

Private Sub Class_Initialize()
  'Erstellt das Collection Objekt beim erstem Zugriff auf die Klasse
  Set mCol = New Collection
End Sub

Private Sub Class_Terminate()
  'Zerstrt das Collection Objekt wenn die Klasse beendet wird
  Set mCol = Nothing
End Sub
